Ubuntu 16.04装完lnmp后 php -v版本与lnmp安装时选的版本不一致

阅读 (363)
用lnmp一键安装包安装好环境后,发现ubuntu系统中还有个php 7.0x版本, php -v查到的版本是 7.0x与我Lnmp安装时选的7.2.x不一致

修改php环境变量即可,以下三种方式都行

1.对所有用户永久有效

cd /etc

vim /etc/profile

加上 export PATH=/usr/local/php/bin:$PATH

保存退出

source /etc/profile

完成.

php -v

注:该配置对所有用户永久生效

 

2.临时有效,重启或者其他用户无效

cd /etc

export PATH=/usr/local/php/bin:$PATH

完成.

php -v

注:该配置仅临时有效

 

3.对当前用户永久有效

通过修改.bashrc文件:
vim ~/.bashrc 
在最后一行添加:export PATH=/usr/local/php/bin:$PATH
生效方法:(有以下两种)
1、关闭当前终端窗口,重新打开一个新终端窗口就能生效
2、输入“source ~/.bashrc”命令,立即生效

更新于:2020-07-31 16:04:16

留言

发表评论

标记为*的字段是必填项(邮箱地址不会被公开), 由于国内舆论控制, 评论需要管理员审核通过方可展示

返回顶部